#ifndef _CON_LC_H_
#define _CON_LC_H_

#include "control.h"
#include "con_ex.h"

//string based config items
static TEXTITEM textvals[]=
{
   {Emulators[EMU_MAME].szPath,"path for mame","mamepath","c:\\mame"},
   {Emulators[EMU_MAME].szExe,"executable for mame","mameexe","dmame.exe"},
   {Emulators[EMU_MAME].szInfoExe,"executable used to get game and clone list","infoexe","dmame.exe"},

// LasVegas - Added Config File Identification

   {Emulators[EMU_MAME].szIni,"configuration file used by mame executable","config","mame.cfg"},

   {Emulators[EMU_MAME].szRemapList,"List of scancodes to remap","remaplist",""},
   {Emulators[EMU_MAME].szBackdrop,"standard AOS backdrop","backdrop","aos.pcx"},

// DANNY REGO
   {Emulators[EMU_MAME].szLCDLogo,"standard AOS LCD Logo","lcdlogo","aos.lcd"},
   {szLCDShutdown,"Shutdown file for the LCD screen.","lcdshutdown","shutdown.lcd"},
   {Emulators[EMU_MAME].szLCDList,"File containing LCD info for ROMS\n#The .lcd info for a ROM will be displayed when the ROM is launched.","lcdlist","list.lcd"},

   {Emulators[EMU_MAME].szCustomList[1],"Custom List names","clist1","list 1"},
   {Emulators[EMU_MAME].szCustomList[2],"","clist2","list 2"},
   {Emulators[EMU_MAME].szCustomList[3],"","clist3","list 3"},
   {Emulators[EMU_MAME].szCustomList[4],"","clist4","list 4"},
   {Emulators[EMU_MAME].szCustomList[5],"","clist5","list 5"},
   {Emulators[EMU_MAME].szCustomList[6],"","clist6","list 6"},
   {Emulators[EMU_MAME].szCustomList[7],"","clist7","list 7"},
   {joydef[0].szName,"Joystick actions",joydef[0].szIdent,joydef[0].szName},
   {joydef[1].szName,"",joydef[1].szIdent,joydef[1].szName},
   {joydef[2].szName,"",joydef[2].szIdent,joydef[2].szName},
   {joydef[3].szName,"",joydef[3].szIdent,joydef[3].szName},
   {joydef[4].szName,"",joydef[4].szIdent,joydef[4].szName},
   {joydef[5].szName,"",joydef[5].szIdent,joydef[5].szName},
   {joydef[6].szName,"",joydef[6].szIdent,joydef[6].szName},
   {joydef[7].szName,"",joydef[7].szIdent,joydef[7].szName},
   {joydef[8].szName,"",joydef[8].szIdent,joydef[8].szName},
   {joydef[9].szName,"",joydef[9].szIdent,joydef[9].szName},
   {joydef[10].szName,"",joydef[10].szIdent,joydef[10].szName},
   {joydef[11].szName,"",joydef[11].szIdent,joydef[11].szName},
   {joydef[12].szName,"",joydef[12].szIdent,joydef[12].szName},
   {joydef[13].szName,"",joydef[13].szIdent,joydef[13].szName},
   {joydef[14].szName,"",joydef[14].szIdent,joydef[14].szName},
   {joydef[15].szName,"",joydef[15].szIdent,joydef[15].szName},
   {joydef[16].szName,"",joydef[16].szIdent,joydef[16].szName},
   {joydef[17].szName,"",joydef[17].szIdent,joydef[17].szName},
   {joydef[18].szName,"",joydef[18].szIdent,joydef[18].szName},
   {joydef[19].szName,"",joydef[19].szIdent,joydef[19].szName},

   {szTurnOff,"Command to run for 'switch off'\n#if 'extrahardware' is set to 1","switchoff",""},
   {szTurnOn,"Command to run for 'switch on'\n#if 'extrahardware' is set to 1","switchon",""},
   {szSamples[0],"Startup sample, must be in AOS directory","startupwav","startup"},
   {szSamples[1],"Shutdown sample, must be in AOS directory","shutdownwav","shutdown"},
   {szSamples[2],"Window sample, must be in AOS directory","windowwav","window"},
   {szSamples[3],"Error sample, must be in AOS directory","errorwav","error"},
   {szSamples[4],"Screen saver sample, must be in AOS directory","saverwav","saver"},
   {szSamples[5],"Game run sample, must be in AOS directory","gamewav","game"},
   {szMonOptions[0],"Options passed to MAME for NTSC/Arcade monitor mode","arcmodeopt","-monitor arcade"},
   {szMonOptions[1],"Options passed to MAME for PAL TV mode","palmodeopt","-monitor pal"},


   {0,"","",""}
};

//numeric config items
static CONFIGITEM convals[]=
{
   {&soundcard,"Type of soundcard to use\n"
               "#0=Silence\n"
               "#1=Sound Blaster\n"
               "#2=Sound Blaster AWE32\n"
               "#3=Pro Audio Spectrum\n"
               "#4=Ultrasound Max (CS4231 Codec)\n"
               "#5=Ultrasound\n"
               "#6=Windows Sound System\n"
               "#7=Ensoniq Soundscape","soundcard",0,0,0,CFG_INT},

   {&samplerate,"Sample rate to use","samplerate",22050,0,0,CFG_INT},

   {&nLogging,"amount of log information generated to ARCADEOS.LOG\n#-1 = game info,"
               "brief\n#0  = no log\n#1  = game info\n#2  = full log","logging",0,0,0,CFG_INT},
   {&nLogDate,"format of dates in log file\n#0 = mm/dd/yyyy\n#1 = dd/mm/yyyy","dateformat",0,0,0,CFG_INT},
   {&nClearLog,"indicates if the log file is cleared down\n#0=no clear\n#1=clear","clearlog",1,0,0,CFG_INT},
   {&SaverCount,"time in seconds before screen saver kicks in\n#(set this to 0 for no sreen saver)",
                  "savertime",180,0,0,CFG_INT},
   {&ShotDelay,"time in seconds before screen shot is changed","shotdelay",10,0,0,CFG_INT},
   {&SaverSSType,"Type of screen shot used (from screen shots/flyers/cab pictures)\n"
                  "#0=standard (always screen shots)\n#1=cycle\n#2=random","sstype",0,SSHOT_OFFSET,0,CFG_INT},

   {&MouseDrivX,"Mouse X pos","mousex",-1,0,0,CFG_INT},
   {&MouseDrivY,"Mouse Y pos","mousey",-1,0,0,CFG_INT},
   {&InCabinet,"Selects video output type:\n#0 = Standard VGA Output\n#1 = Arcade Monitor / NTSC Output"
               "\n#2 = PAL TV Output\n#DO NOT SET TO 0 IF YOUR PC IS CONNECTED TO AN ARCADE MONITOR/TV"
               ,"incabinet",0,0,0,CFG_INT},
   {&Hires,"640x480 mode","640x480",1,0,0,CFG_INT},
   {&noScanLines,"scanlines - 0=no 1=yes \n#"
                  "hardware scanlines (320x200 mode), half brightness software scanlines (640x480 mode)",
                  "scanlines",0,0,1,CFG_INT},
   {&nCenterX,"tweak value for x pos of screen","centerx",0,0,0,CFG_INT},
   {&nCenterY,"tweak value for y pos of screen","centery",0,0,0,CFG_INT},
   {&FontSize,"Size of AOS's font","fontsize",0,FONT_OFFSET,0,CFG_INT},
   {&Scheme,"Display scheme","scheme",0,SCHEME_OFFSET,0,CFG_INT},
   {&BeepFM,"Beep through SB if found","beepfm",0,0,0,CFG_INT},

   {&Transparent,"Transparency","transparent",38,0,0,CFG_INT},
   {&Information,"amount of information displayed by AOS","information",2,INFO_OFFSET,0,CFG_INT},
   {&BackColour,"background colour","backcolour",0,0,0,CFG_INT},
   {&ForeColour,"fore colour","forecolour",15,0,0,CFG_INT},

   {&CloneColour,"clone colour","clonecolour",7,0,0,CFG_INT},
   {&ExtraColour,"extra colour","extracolour",14,0,0,CFG_INT},
   {&CursorColour,"cursor colour","cursorcolour",5,0,0,CFG_INT},
   {&DisColour,"Disabled colour","discolour",8,0,0,CFG_INT},
   {&JoyType,"Indicates the type of joystick\n#0 = None\n#1 = 2 button joystick/pad\n"
               "#2 = 4 button joystick/pad\n#3 = 6 button joystick/pad\n"
               "#4 = 8 button joystick/pad\n#5 = Sidewinder\n"
               "#6 = GamePad Pro\n#7 = PSX pad","joytype",0,0,0,CFG_INT},
   {&CurEmu,"Current emulator","curremu",0,0,0,CFG_INT},
   {&RandomIdx,"random game index","randomidx",0,0,0,CFG_INT},
   {&PrintHardware,"Extra printer hardware - \n#sends to LPT1 port, bit 0 for monitor power and"
                   "\n#enables monitor rotation hardware through bits 1 and 2 (Right & Left)",
					"printhardware",0,0,0,CFG_INT},
   {&ExtHardware,"Other external hardware -\n#calls 'switchon' for on\n#'switchoff' for off\n"
                  "#you can set these values to be any legal app/batch file","extrahardware",0,0,0,CFG_INT},
   {&MenuLocked,"menu locked 0/1","menulocked",0,0,0,CFG_INT},
   {&SaverType,"screen saver type","savertype",0,SAVER_OFFSET,0,CFG_INT},

   {&noExplodeWin,"Explode windows","explodewin",1,0,1,CFG_INT},

   {&noUseLastShot,"last screen shot of last game run","uselastshot",1,0,1,CFG_INT},
   {&noMoveShot,"Show screen shots when moving through the list","showshot",1,0,1,CFG_INT},
   {&noUnknowns,"display all files found - even if no legal game name is found","unknowns",0,0,1,CFG_INT},
   {&noInstantStart,"don't check for new games at startup","instantstart",0,0,1,CFG_INT},

   {&nOrient[0],"Orientation of menu","orientation",0,0,0,CFG_INT},
   {&nOrient[1],"","orientation2",0,0,0,CFG_INT},
   {&nOrient[2],"","orientation3",0,0,0,CFG_INT},
   {&nOrient[3],"","orientation4",0,0,0,CFG_INT},
   {&nOrient[4],"","orientation5",0,0,0,CFG_INT},
   {&nOrient[5],"","orientation6",0,0,0,CFG_INT},
   {&nOrient[6],"","orientation7",0,0,0,CFG_INT},
   {&nOrient[7],"","orientation8",0,0,0,CFG_INT},
   {&nOrient[8],"","orientation9",0,0,0,CFG_INT},
   {&nOrient[9],"","orientation10",0,0,0,CFG_INT},
   {&nOrient[10],"","orientation11",0,0,0,CFG_INT},
   {&nOrient[11],"","orientation12",0,0,0,CFG_INT},
   {&nOrient[12],"","orientation13",0,0,0,CFG_INT},
   {&nOrient[13],"","orientation14",0,0,0,CFG_INT},
   {&nOrient[14],"","orientation15",0,0,0,CFG_INT},
   {&nOrient[15],"","orientation16",0,0,0,CFG_INT},
   {&nOrient[16],"","orientation17",0,0,0,CFG_INT},
   {&nOrient[17],"","orientation18",0,0,0,CFG_INT},
   {&nOrient[18],"","orientation19",0,0,0,CFG_INT},
   {&nOrient[19],"","orientation20",0,0,0,CFG_INT},
   {&nOrient[20],"","orientation21",0,0,0,CFG_INT},
   {&nOrient[21],"","orientation22",0,0,0,CFG_INT},
   {&nOrient[22],"","orientation23",0,0,0,CFG_INT},
   {&nOrient[23],"","orientation24",0,0,0,CFG_INT},
   {&nOrient[24],"","orientation25",0,0,0,CFG_INT},
   {&nOrient[25],"","orientation26",0,0,0,CFG_INT},
   {&nOrient[26],"","orientation27",0,0,0,CFG_INT},
   {&nOrient[27],"","orientation28",0,0,0,CFG_INT},
   {&nOrient[28],"","orientation29",0,0,0,CFG_INT},
   {&nOrient[29],"","orientation30",0,0,0,CFG_INT},


   {&nLastGame[0],"last game run","lastgame",0,0,0,CFG_INT},
   {&nLastGame[1],"","lastgame2",0,0,0,CFG_INT},
   {&nLastGame[2],"","lastgame3",0,0,0,CFG_INT},
   {&nLastGame[3],"","lastgame4",0,0,0,CFG_INT},
   {&nLastGame[4],"","lastgame5",0,0,0,CFG_INT},
   {&nLastGame[5],"","lastgame6",0,0,0,CFG_INT},
   {&nLastGame[6],"","lastgame7",0,0,0,CFG_INT},
   {&nLastGame[7],"","lastgame8",0,0,0,CFG_INT},
   {&nLastGame[8],"","lastgame9",0,0,0,CFG_INT},
   {&nLastGame[9],"","lastgame10",0,0,0,CFG_INT},
   {&nLastGame[10],"","lastgame11",0,0,0,CFG_INT},
   {&nLastGame[11],"","lastgame12",0,0,0,CFG_INT},
   {&nLastGame[12],"","lastgame13",0,0,0,CFG_INT},
   {&nLastGame[13],"","lastgame14",0,0,0,CFG_INT},
   {&nLastGame[14],"","lastgame15",0,0,0,CFG_INT},
   {&nLastGame[15],"","lastgame16",0,0,0,CFG_INT},
   {&nLastGame[16],"","lastgame17",0,0,0,CFG_INT},
   {&nLastGame[17],"","lastgame18",0,0,0,CFG_INT},
   {&nLastGame[18],"","lastgame19",0,0,0,CFG_INT},
   {&nLastGame[19],"","lastgame20",0,0,0,CFG_INT},
   {&nLastGame[20],"","lastgame21",0,0,0,CFG_INT},
   {&nLastGame[21],"","lastgame22",0,0,0,CFG_INT},
   {&nLastGame[22],"","lastgame23",0,0,0,CFG_INT},
   {&nLastGame[23],"","lastgame24",0,0,0,CFG_INT},
   {&nLastGame[24],"","lastgame25",0,0,0,CFG_INT},
   {&nLastGame[25],"","lastgame26",0,0,0,CFG_INT},
   {&nLastGame[26],"","lastgame27",0,0,0,CFG_INT},
   {&nLastGame[27],"","lastgame28",0,0,0,CFG_INT},
   {&nLastGame[28],"","lastgame29",0,0,0,CFG_INT},
   {&nLastGame[29],"","lastgame30",0,0,0,CFG_INT},

   {&OffSet[0],"offset of last game run","offset",0,0,0,CFG_INT},
   {&OffSet[1],"","offset2",0,0,0,CFG_INT},
   {&OffSet[2],"","offset3",0,0,0,CFG_INT},
   {&OffSet[3],"","offset4",0,0,0,CFG_INT},
   {&OffSet[4],"","offset5",0,0,0,CFG_INT},
   {&OffSet[5],"","offset6",0,0,0,CFG_INT},
   {&OffSet[6],"","offset7",0,0,0,CFG_INT},
   {&OffSet[7],"","offset8",0,0,0,CFG_INT},
   {&OffSet[8],"","offset9",0,0,0,CFG_INT},
   {&OffSet[9],"","offset10",0,0,0,CFG_INT},
   {&OffSet[10],"","offset11",0,0,0,CFG_INT},
   {&OffSet[11],"","offset12",0,0,0,CFG_INT},
   {&OffSet[12],"","offset13",0,0,0,CFG_INT},
   {&OffSet[13],"","offset14",0,0,0,CFG_INT},
   {&OffSet[14],"","offset15",0,0,0,CFG_INT},
   {&OffSet[15],"","offset16",0,0,0,CFG_INT},
   {&OffSet[16],"","offset17",0,0,0,CFG_INT},
   {&OffSet[17],"","offset18",0,0,0,CFG_INT},
   {&OffSet[18],"","offset19",0,0,0,CFG_INT},
   {&OffSet[19],"","offset20",0,0,0,CFG_INT},
   {&OffSet[20],"","offset21",0,0,0,CFG_INT},
   {&OffSet[21],"","offset22",0,0,0,CFG_INT},
   {&OffSet[22],"","offset23",0,0,0,CFG_INT},
   {&OffSet[23],"","offset24",0,0,0,CFG_INT},
   {&OffSet[24],"","offset25",0,0,0,CFG_INT},
   {&OffSet[25],"","offset26",0,0,0,CFG_INT},
   {&OffSet[26],"","offset27",0,0,0,CFG_INT},
   {&OffSet[27],"","offset28",0,0,0,CFG_INT},
   {&OffSet[28],"","offset29",0,0,0,CFG_INT},
   {&OffSet[29],"","offset30",0,0,0,CFG_INT},

   {&FontShadow,"amount of shadow on font","fontshadow",1,0,0,CFG_INT},
   {&nMouseSens,"tracball/spinner sensitivity","tracksens",2,0,0,CFG_INT},
   {&nDblClick,"double click threshold","dblclick",4,0,0,CFG_INT},
   {&nMouseType,"Type of mouse\n"
                  "#0=none\n#1=standard\n#2=tracball\n#3=spinner","mousetype",1,MOUSE_OFFSET,0,CFG_INT},
   {&noSwapMouse,"swap left and right mouse buttons","swapmouse",0,0,1,CFG_INT},
   {&CustomList[0],"Last custom list","lastcustom",0,0,0,CFG_INT},
   {&CustomList[1],"","lastcustom2",0,0,0,CFG_INT},
   {&CustomList[2],"","lastcustom3",0,0,0,CFG_INT},
   {&CustomList[3],"","lastcustom4",0,0,0,CFG_INT},
   {&CustomList[4],"","lastcustom5",0,0,0,CFG_INT},
   {&CustomList[5],"","lastcustom6",0,0,0,CFG_INT},
   {&CustomList[6],"","lastcustom7",0,0,0,CFG_INT},
   {&CustomList[7],"","lastcustom8",0,0,0,CFG_INT},
   {&CustomList[8],"","lastcustom9",0,0,0,CFG_INT},
   {&CustomList[9],"","lastcustom10",0,0,0,CFG_INT},
   {&CustomList[10],"","lastcustom11",0,0,0,CFG_INT},
   {&CustomList[11],"","lastcustom12",0,0,0,CFG_INT},
   {&CustomList[12],"","lastcustom13",0,0,0,CFG_INT},
   {&CustomList[13],"","lastcustom14",0,0,0,CFG_INT},
   {&CustomList[14],"","lastcustom15",0,0,0,CFG_INT},
   {&CustomList[15],"","lastcustom16",0,0,0,CFG_INT},
   {&CustomList[16],"","lastcustom17",0,0,0,CFG_INT},
   {&CustomList[17],"","lastcustom18",0,0,0,CFG_INT},
   {&CustomList[18],"","lastcustom19",0,0,0,CFG_INT},
   {&CustomList[19],"","lastcustom20",0,0,0,CFG_INT},
   {&CustomList[20],"","lastcustom21",0,0,0,CFG_INT},
   {&CustomList[21],"","lastcustom22",0,0,0,CFG_INT},
   {&CustomList[22],"","lastcustom23",0,0,0,CFG_INT},
   {&CustomList[23],"","lastcustom24",0,0,0,CFG_INT},
   {&CustomList[24],"","lastcustom25",0,0,0,CFG_INT},
   {&CustomList[25],"","lastcustom26",0,0,0,CFG_INT},
   {&CustomList[26],"","lastcustom27",0,0,0,CFG_INT},
   {&CustomList[27],"","lastcustom28",0,0,0,CFG_INT},
   {&CustomList[28],"","lastcustom29",0,0,0,CFG_INT},
   {&CustomList[29],"","lastcustom30",0,0,0,CFG_INT},


   {&CustNeo,"NeoGeo custom list","customneo",8,CUSTOM_LIST_OFFSET,0,CFG_INT},
   {&CustVector,"Vector custom list","customvector",8,CUSTOM_LIST_OFFSET,0,CFG_INT},
   {&noHideWarnings,"Hide warnings","hidewarns",1,0,1,CFG_INT},
   {&noShowCommand,"show run command","showcommand",0,0,1,CFG_INT},
   {&noAutoDisable,"auto disable non-working games","autodisable",1,0,1,CFG_INT},
   {&nAutoRotate,"auto rotate games, left/right","autorotate",0,AUTO_ROTATE_OFFSET,0,CFG_INT},
   {&SSMove,"Screen shot to use when moving","altssonmove",0,SCREEN_OFFSET,0,CFG_INT},  // EEA Changed these 3 names and got rid of !
   {&SSRun,"Screen shot to use when running","altssonrun",0,SCREEN_OFFSET,0,CFG_INT},    // EEA
   {&SSInfo,"Screen shot to use for info","altssoninfo",0,SCREEN_OFFSET,0,CFG_INT},  // EEA
   {&noEasyCenter,"pass screen centering info to MAME","easycenter",1,0,1,CFG_INT},
   {&noShowRun,"show 'running dialog'","showrundialog",1,0,1,CFG_INT},
   {&noMouseTrails,"Mouse Trails","mousetrails",0,0,1,CFG_INT},

   {&ArcadeH,"horizontal character count for arcade mode","arcade_h",105,0,0,CFG_INT},
   {&ArcadeV,"vertical line count for arcade mode","arcade_v",9,0,0,CFG_INT},
   {&PalH,"horizontal character count for PAL mode","pal_h",105,0,0,CFG_INT},
   {&PalV,"vertical line count for arcade mode","pal_v",23,0,0,CFG_INT},
   {&ScanH,"horizontal character count for VGA scanline mode","scan_h",95,0,0,CFG_INT},
   {&ScanV,"vertical line count for VGA scanline mode","scan_v",11,0,0,CFG_INT},

   {&noScaleToFit,"scale screen shots to fit display","scaletofit",1,0,1,CFG_INT},
   {&seedcount,"random number seed","seedcount",0,0,0,CFG_INT},
   {&MouseSensX,"X Mouse sensitivity","mousesensx",100,0,0,CFG_INT},
   {&MouseSensY,"Y Mouse sensitivity","mousesensy",100,0,0,CFG_INT},
   {&noDiagonals,"allow diagonals","diagonals",0,0,1,CFG_INT},
   {&noflipx,"flip screen in X","flipx",0,0,1,CFG_INT},
   {&noflipy,"flip screen in Y","flipy",0,0,1,CFG_INT},
   {&AutoRepeat,"autorepeat count","autorepeat",5,0,0,CFG_INT},
   {&JukeDelay,"juke box screen saver delay","jukedelay",30,0,0,CFG_INT},
   {&noStart12Esc,"Start 1+2=Escape","start12esc",2,0,1,CFG_INT},
   {&ShiftKey,"shift key\n#1=Start1\n#2=Start2","shiftkey",1,0,0,CFG_INT},

   {&WidthHor,"Width of main window","widthhor",42,0,0,CFG_INT},
   {&WidthVer,"","widthver",26,0,0,CFG_INT},
   {&HiresWidthHor,"","hreswidthhor",51,0,0,CFG_INT},
   {&HiresWidthVer,"","hreswidthver",51,0,0,CFG_INT},
   {&noRotatePics,"rotate backdrops","rotatepic",0,0,1,CFG_INT},
   {&DispRot[0],"games display\n#0 = all, 1 = horizontal, 2 =rotated left or right, not rotated, 3 =disabled","disprot",0,0,0,CFG_INT},
   {&DispRot[1],"","disprot2",0,0,0,CFG_INT},
   {&DispRot[2],"","disprot3",0,0,0,CFG_INT},
   {&DispRot[3],"","disprot4",0,0,0,CFG_INT},
   {&DispRot[4],"","disprot5",0,0,0,CFG_INT},
   {&DispRot[5],"","disprot6",0,0,0,CFG_INT},
   {&DispRot[6],"","disprot7",0,0,0,CFG_INT},
   {&DispRot[7],"","disprot8",0,0,0,CFG_INT},
   {&DispRot[8],"","disprot9",0,0,0,CFG_INT},
   {&DispRot[9],"","disprot10",0,0,0,CFG_INT},
   {&DispRot[10],"","disprot11",0,0,0,CFG_INT},
   {&DispRot[11],"","disprot12",0,0,0,CFG_INT},
   {&DispRot[12],"","disprot13",0,0,0,CFG_INT},
   {&DispRot[13],"","disprot14",0,0,0,CFG_INT},
   {&DispRot[14],"","disprot15",0,0,0,CFG_INT},
   {&DispRot[15],"","disprot16",0,0,0,CFG_INT},
   {&DispRot[16],"","disprot17",0,0,0,CFG_INT},
   {&DispRot[17],"","disprot18",0,0,0,CFG_INT},
   {&DispRot[18],"","disprot19",0,0,0,CFG_INT},
   {&DispRot[19],"","disprot20",0,0,0,CFG_INT},
   {&DispRot[20],"","disprot21",0,0,0,CFG_INT},
   {&DispRot[21],"","disprot22",0,0,0,CFG_INT},
   {&DispRot[22],"","disprot23",0,0,0,CFG_INT},
   {&DispRot[23],"","disprot24",0,0,0,CFG_INT},
   {&DispRot[24],"","disprot25",0,0,0,CFG_INT},
   {&DispRot[25],"","disprot26",0,0,0,CFG_INT},
   {&DispRot[26],"","disprot27",0,0,0,CFG_INT},
   {&DispRot[27],"","disprot28",0,0,0,CFG_INT},
   {&DispRot[28],"","disprot29",0,0,0,CFG_INT},
   {&DispRot[29],"","disprot30",0,0,0,CFG_INT},


   {(int *)&clocks_per_second,"ticks per second","ticks",0,0,0,CFG_INT},
   {&schemes[0].win,"window colour schemes","wincolour0",8,0,0,CFG_INT},
   {&schemes[1].win,"","wincolour1",9,0,0,CFG_INT},
   {&schemes[2].win,"","wincolour2",0,0,0,CFG_INT},
   {&schemes[3].win,"","wincolour3",1,0,0,CFG_INT},
   {&Emulators[EMU_MAME].bNoRedirect,"redirect output","redirectmame",1,0,1,CFG_INT},

   {&noShiftKeys,"Indicates if shift keys are on or off (1=on,0=off)","shifton",0,0,1,CFG_INT},
   {&Emulators[EMU_MAME].cShiftChar[0],"_shift + Player 1 button1 - Pause (P)","shift1",25,0,0,CFG_INT},
   {&Emulators[EMU_MAME].cShiftChar[1],"_shift + Player 1 button2 - Config Menus (TAB)","shift2",15,0,0,CFG_INT},
   {&Emulators[EMU_MAME].cShiftChar[2],"_shift + Player 1 button3 - OSD (Tilde)","shift3",41,0,0,CFG_INT},
   {&Emulators[EMU_MAME].cShiftChar[3],"_shift + Player 2 button1 - Adjust Frame Skip (F9)","shift4",67,0,0,CFG_INT},
   {&Emulators[EMU_MAME].cShiftChar[4],"_shift + Player 2 button2 - Speed throttling (F10)","shift5",68,0,0,CFG_INT},
   {&Emulators[EMU_MAME].cShiftChar[5],"_shift + Player 2 button3 - Speed Display (F11)","shift6",87,0,0,CFG_INT},

   {&noButtonOn[0],"Buttons 1-3 on or off (0/1)","button1",1,0,1,CFG_INT},
   {&noButtonOn[1],"","button2",1,0,1,CFG_INT},
   {&noButtonOn[2],"","button3",1,0,1,CFG_INT},

   {(int *)&scancodes[0],"Move Up (arrow up)","kup",72,0,0,CFG_BYTE},
   {(int *)&scancodes[1],"Move Down (arrow down)","kdown",80,0,0,CFG_BYTE},
   {(int *)&scancodes[2],"Page Up (arrow left)","kleft",75,0,0,CFG_BYTE},
   {(int *)&scancodes[3],"Page Down (arrow right)","kright",77,0,0,CFG_BYTE},
   {(int *)&scancodes[4],"Change games orientation (left ctrl)","kp1butt1",29,0,0,CFG_BYTE},
   {(int *)&scancodes[5],"Change games shown (left alt)","kp1butt2",56,0,0,CFG_BYTE},
   {(int *)&scancodes[6],"Change orientation of ArcadeOS (Space)","kp1butt3",57,0,0,CFG_BYTE},
   {(int *)&scancodes[7],"Lock ArcadeOS (L)","klock",38,0,0,CFG_BYTE},
   {(int *)&scancodes[8],"Random Game (A)","kp2butt1",30,0,0,CFG_BYTE},
   {(int *)&scancodes[9],"Exit ArcadeOS (Esc)","kexit",1,0,0,CFG_BYTE},
   {(int *)&scancodes[10],"Control Menu (2)","kp2start",3,0,0,CFG_BYTE},
   {(int *)&scancodes[11],"Run Game (1)","kp1start",2,0,0,CFG_BYTE},
   {(int *)&scancodes[12],"Game Info (5)","kcoin1",6,0,0,CFG_BYTE},
   {(int *)&scancodes[13],"Close popup windows (Esc)","kclosewin",1,0,0,CFG_BYTE},
   {(int *)&scancodes[14],"Online help (Q)","kp2butt3",16,0,0,CFG_BYTE},
   {(int *)&scancodes[15],"Set Games' Custom List (S)","kp2butt2",31,0,0,CFG_BYTE},
   {(int *)&scancodes[16],"AOS Screen shot (F12)","ksshot",88,0,0,CFG_BYTE},
   {(int *)&scancodes[17],"Change emulators (6)","knxtemu",7,0,0,CFG_BYTE},
   {(int *)&scancodes[18],"Change custom list (7)","knxtclist",8,0,0,CFG_BYTE},
   {(int *)&scancodes[19],"Display Emu Menu (8)","kemulist",9,0,0,CFG_BYTE},
   {(int *)&scancodes[20],"Display Custom List Menu (9)","kcustlist",10,0,0,CFG_BYTE},
   {(int *)&scancodes[21],"Move Up pl2 (R)","k2up",19,0,0,CFG_BYTE},
   {(int *)&scancodes[22],"Move Down pl2 (F)","k2down",33,0,0,CFG_BYTE},
   {(int *)&scancodes[23],"Move Left pl2 (D)","k2left",32,0,0,CFG_BYTE},
   {(int *)&scancodes[24],"Move Right pl2 (G)","k2right",34,0,0,CFG_BYTE},


   {&noUseCRC,"Search Using CRCs","CRCSearch",0,0,1,CFG_INT},
   {&StartLastGame,"Automatically start last game played\n#0=never,1=start if game was run,2=always","startlastgame",0,START_OFFSET,0,CFG_INT},
   {&Nag,"Skip nag screens","skipnag",1,0,1,CFG_INT},
   {&MameLegacy,"Legacy List Generation","legacygen",1,0,0,CFG_INT},
   {&vol,"Overall Sound Interface volume (0-15)","soundvol",15,0,0,CFG_INT},
   {&sampvol[0],"Volume for startup sample (0-15)","startupvol",15,0,0,CFG_INT},
   {&sampvol[1],"Volume for shutdown sample (0-15)","shutdownvol",15,0,0,CFG_INT},
   {&sampvol[2],"Volume for window sample (0-15)","windowvol",15,0,0,CFG_INT},
   {&sampvol[3],"Volume for error sample (0-15)","errorvol",15,0,0,CFG_INT},
   {&sampvol[4],"Volume for saver sample (0-15)","savervol",15,0,0,CFG_INT},
   {&sampvol[5],"Volume for game sample (0-15)","gamevol",15,0,0,CFG_INT},
   {&sampfreq[0],"Pitch for startup sample (0-100, 50 = normal)","startupfreq",50,0,0,CFG_INT},
   {&sampfreq[1],"Pitch for shutdown sample (0-100, 50 = normal)","shutdownfreq",50,0,0,CFG_INT},
   {&sampfreq[2],"Pitch for window sample (0-100, 50 = normal)","windowfreq",50,0,0,CFG_INT},
   {&sampfreq[3],"Pitch for error sample (0-100, 50 = normal)","errorfreq",50,0,0,CFG_INT},
   {&sampfreq[4],"Pitch for saver sample (0-100, 50 = normal)","saverfreq",50,0,0,CFG_INT},
   {&sampfreq[5],"Pitch for game sample (0-100, 50 = normal)","gamefreq",50,0,0,CFG_INT},
   {&nFileDrive,"Drive which the 'File Menu' looks in\n#0=A,1=B,2=C,3=D etc.","filedrive",0,FILE_OFFSET,0,CFG_INT},
   {&noWrapMenus,"'Wrap Cursor' at start and end of menus","wrapcursor",0,0,1,CFG_INT},
   {&SSPosition,"Screen shot position\n#0=centre,1=top right,2=bottom right\n"
                  "#NOTE only takes effect if screen shot scaling is off","shotposition",0,SSPOS_OFFSET,0,CFG_INT},
   {&noExtArcade,"Using external arcade monitor TSR (such as MonARC)","extdriver",0,0,1,CFG_INT},
   {&noCocktailMode,"Cocktail Mode (0=no , 1=yes) - moving up/down/left/right \n"
                    "#swaps AOS control between players and flips screen","cocktailmode",0,0,1,CFG_INT},
   {&FlipDelay,"Delay in seconds between 'flips' if cocktail mode is active","cocktaildelay",0,0,0,CFG_INT},
   {&RunState,"State of gamed (launched or not) - internal use","runstate",0,0,0,CFG_INT},
   {&PlayerControl,"Which player has control over AOS 0=player 1,1=player 2 (internal use)","playercontrol",0,0,0,CFG_INT},
   {&TintType,"Tint of screen shots\n#0=normal,1=red,2=green,3=blue,4=grey","screentint",0,TINT_OFFSET,0,CFG_INT},
   {&Capitalise,"Auto Capitalise display names of ROMS\n"
                  "#0=None,1=Short file names only,2=Long file Names only,3=All\n"
                  "#NOTE: This only affects ROM names without an NMS entry","capitalise",3,CAPITAL_OFFSET,0,CFG_INT},

   {&noSkipSizeCheck,"Skip AOS's available disk space check when creating temp files","skipspacecheck",0,0,1,CFG_INT},
   {&TempDrive,"Drive used for temp files (0='C',1='D',2='E' etc.)","tempdrive",0,0,0,CFG_INT},
   {&noCustomContainsAll[0],"Custom lists contain copies of all games\n"
                           "#Useful when creating 'filter lists' (1=yes, 0=no)\n"
                           "#1 value for each possible emulator","customiscopy0",0,0,1,CFG_INT},
   {&noCustomContainsAll[1],"","customiscopy1",0,0,1,CFG_INT},
   {&noCustomContainsAll[2],"","customiscopy2",0,0,1,CFG_INT},
   {&noCustomContainsAll[3],"","customiscopy3",0,0,1,CFG_INT},
   {&noCustomContainsAll[4],"","customiscopy4",0,0,1,CFG_INT},
   {&noCustomContainsAll[5],"","customiscopy5",0,0,1,CFG_INT},
   {&noCustomContainsAll[6],"","customiscopy6",0,0,1,CFG_INT},
   {&noCustomContainsAll[7],"","customiscopy7",0,0,1,CFG_INT},
   {&noCustomContainsAll[8],"","customiscopy8",0,0,1,CFG_INT},
   {&noCustomContainsAll[9],"","customiscopy9",0,0,1,CFG_INT},
   {&noCustomContainsAll[10],"","customiscopy10",0,0,1,CFG_INT},
   {&noCustomContainsAll[11],"","customiscopy11",0,0,1,CFG_INT},
   {&noCustomContainsAll[12],"","customiscopy12",0,0,1,CFG_INT},
   {&noCustomContainsAll[13],"","customiscopy13",0,0,1,CFG_INT},
   {&noCustomContainsAll[14],"","customiscopy14",0,0,1,CFG_INT},
   {&noCustomContainsAll[15],"","customiscopy15",0,0,1,CFG_INT},
   {&noCustomContainsAll[16],"","customiscopy16",0,0,1,CFG_INT},
   {&noCustomContainsAll[17],"","customiscopy17",0,0,1,CFG_INT},
   {&noCustomContainsAll[18],"","customiscopy18",0,0,1,CFG_INT},
   {&noCustomContainsAll[19],"","customiscopy19",0,0,1,CFG_INT},
   {&noCustomContainsAll[20],"","customiscopy20",0,0,1,CFG_INT},
   {&noCustomContainsAll[21],"","customiscopy21",0,0,1,CFG_INT},
   {&noCustomContainsAll[22],"","customiscopy22",0,0,1,CFG_INT},
   {&noCustomContainsAll[23],"","customiscopy23",0,0,1,CFG_INT},
   {&noCustomContainsAll[24],"","customiscopy24",0,0,1,CFG_INT},
   {&noCustomContainsAll[25],"","customiscopy25",0,0,1,CFG_INT},
   {&noCustomContainsAll[26],"","customiscopy26",0,0,1,CFG_INT},
   {&noCustomContainsAll[27],"","customiscopy27",0,0,1,CFG_INT},
   {&noCustomContainsAll[28],"","customiscopy28",0,0,1,CFG_INT},
   {&noCustomContainsAll[29],"","customiscopy29",0,0,1,CFG_INT},


   {&noFiltersActive,"Filters are active (1=yes, 0=no)","filtersactive",1,0,1,CFG_INT},
   {&minfiltplayers[0],"Filters (0-7 suffixes refer to custom list)\n#Mininum number of players","minfiltplay0",1,0,0,CFG_INT},
   {&minfiltplayers[1],"","minfiltplay1",1,0,0,CFG_INT},
   {&minfiltplayers[2],"","minfiltplay2",1,0,0,CFG_INT},
   {&minfiltplayers[3],"","minfiltplay3",1,0,0,CFG_INT},
   {&minfiltplayers[4],"","minfiltplay4",1,0,0,CFG_INT},
   {&minfiltplayers[5],"","minfiltplay5",1,0,0,CFG_INT},
   {&minfiltplayers[6],"","minfiltplay6",1,0,0,CFG_INT},
   {&minfiltplayers[7],"","minfiltplay7",1,0,0,CFG_INT},

   {&maxfiltplayers[0],"Maximum number of players","maxfiltplay0",8,0,0,CFG_INT},
   {&maxfiltplayers[1],"","maxfiltplay1",8,0,0,CFG_INT},
   {&maxfiltplayers[2],"","maxfiltplay2",8,0,0,CFG_INT},
   {&maxfiltplayers[3],"","maxfiltplay3",8,0,0,CFG_INT},
   {&maxfiltplayers[4],"","maxfiltplay4",8,0,0,CFG_INT},
   {&maxfiltplayers[5],"","maxfiltplay5",8,0,0,CFG_INT},
   {&maxfiltplayers[6],"","maxfiltplay6",8,0,0,CFG_INT},
   {&maxfiltplayers[7],"","maxfiltplay7",8,0,0,CFG_INT},

   {&minfiltyear[0],"Minimum year","minyear0",1970,0,0,CFG_INT},
   {&minfiltyear[1],"","minyear1",1970,0,0,CFG_INT},
   {&minfiltyear[2],"","minyear2",1970,0,0,CFG_INT},
   {&minfiltyear[3],"","minyear3",1970,0,0,CFG_INT},
   {&minfiltyear[4],"","minyear4",1970,0,0,CFG_INT},
   {&minfiltyear[5],"","minyear5",1970,0,0,CFG_INT},
   {&minfiltyear[6],"","minyear6",1970,0,0,CFG_INT},
   {&minfiltyear[7],"","minyear7",1970,0,0,CFG_INT},

   {&maxfiltyear[0],"Maximum year","maxyear0",2010,0,0,CFG_INT},
   {&maxfiltyear[1],"","maxyear1",2010,0,0,CFG_INT},
   {&maxfiltyear[2],"","maxyear2",2010,0,0,CFG_INT},
   {&maxfiltyear[3],"","maxyear3",2010,0,0,CFG_INT},
   {&maxfiltyear[4],"","maxyear4",2010,0,0,CFG_INT},
   {&maxfiltyear[5],"","maxyear5",2010,0,0,CFG_INT},
   {&maxfiltyear[6],"","maxyear6",2010,0,0,CFG_INT},
   {&maxfiltyear[7],"","maxyear7",2010,0,0,CFG_INT},

   {&minfiltfreq[0],"Minimum vertical refresh frequency","minfreq0",30,0,0,CFG_INT},
   {&minfiltfreq[1],"","minfreq1",30,0,0,CFG_INT},
   {&minfiltfreq[2],"","minfreq2",30,0,0,CFG_INT},
   {&minfiltfreq[3],"","minfreq3",30,0,0,CFG_INT},
   {&minfiltfreq[4],"","minfreq4",30,0,0,CFG_INT},
   {&minfiltfreq[5],"","minfreq5",30,0,0,CFG_INT},
   {&minfiltfreq[6],"","minfreq6",30,0,0,CFG_INT},
   {&minfiltfreq[7],"","minfreq7",30,0,0,CFG_INT},

   {&maxfiltfreq[0],"Maximum vertical refresh frequency","maxfreq0",75,0,0,CFG_INT},
   {&maxfiltfreq[1],"","maxfreq1",75,0,0,CFG_INT},
   {&maxfiltfreq[2],"","maxfreq2",75,0,0,CFG_INT},
   {&maxfiltfreq[3],"","maxfreq3",75,0,0,CFG_INT},
   {&maxfiltfreq[4],"","maxfreq4",75,0,0,CFG_INT},
   {&maxfiltfreq[5],"","maxfreq5",75,0,0,CFG_INT},
   {&maxfiltfreq[6],"","maxfreq6",75,0,0,CFG_INT},
   {&maxfiltfreq[7],"","maxfreq7",75,0,0,CFG_INT},

   {&minfiltcoin[0],"Minimum number of coin slots","minslots0",1,0,0,CFG_INT},
   {&minfiltcoin[1],"","minslots1",1,0,0,CFG_INT},
   {&minfiltcoin[2],"","minslots2",1,0,0,CFG_INT},
   {&minfiltcoin[3],"","minslots3",1,0,0,CFG_INT},
   {&minfiltcoin[4],"","minslots4",1,0,0,CFG_INT},
   {&minfiltcoin[5],"","minslots5",1,0,0,CFG_INT},
   {&minfiltcoin[6],"","minslots6",1,0,0,CFG_INT},
   {&minfiltcoin[7],"","minslots7",1,0,0,CFG_INT},

   {&maxfiltcoin[0],"Maximum number of coin slots","maxslots0",4,0,0,CFG_INT},
   {&maxfiltcoin[1],"","maxslots1",4,0,0,CFG_INT},
   {&maxfiltcoin[2],"","maxslots2",4,0,0,CFG_INT},
   {&maxfiltcoin[3],"","maxslots3",4,0,0,CFG_INT},
   {&maxfiltcoin[4],"","maxslots4",4,0,0,CFG_INT},
   {&maxfiltcoin[5],"","maxslots5",4,0,0,CFG_INT},
   {&maxfiltcoin[6],"","maxslots6",4,0,0,CFG_INT},
   {&maxfiltcoin[7],"","maxslots7",4,0,0,CFG_INT},

   {&minfiltx[0],"Minimum X resolution","minxres0",0,0,0,CFG_INT},
   {&minfiltx[1],"","minxres1",0,0,0,CFG_INT},
   {&minfiltx[2],"","minxres2",0,0,0,CFG_INT},
   {&minfiltx[3],"","minxres3",0,0,0,CFG_INT},
   {&minfiltx[4],"","minxres4",0,0,0,CFG_INT},
   {&minfiltx[5],"","minxres5",0,0,0,CFG_INT},
   {&minfiltx[6],"","minxres6",0,0,0,CFG_INT},
   {&minfiltx[7],"","minxres7",0,0,0,CFG_INT},

   {&maxfiltx[0],"Maximum X resolution","maxxres0",1280,0,0,CFG_INT},
   {&maxfiltx[1],"","maxxres1",1280,0,0,CFG_INT},
   {&maxfiltx[2],"","maxxres2",1280,0,0,CFG_INT},
   {&maxfiltx[3],"","maxxres3",1280,0,0,CFG_INT},
   {&maxfiltx[4],"","maxxres4",1280,0,0,CFG_INT},
   {&maxfiltx[5],"","maxxres5",1280,0,0,CFG_INT},
   {&maxfiltx[6],"","maxxres6",1280,0,0,CFG_INT},
   {&maxfiltx[7],"","maxxres7",1280,0,0,CFG_INT},

   {&minfilty[0],"Minimum Y resolution","minyres0",0,0,0,CFG_INT},
   {&minfilty[1],"","minyres1",0,0,0,CFG_INT},
   {&minfilty[2],"","minyres2",0,0,0,CFG_INT},
   {&minfilty[3],"","minyres3",0,0,0,CFG_INT},
   {&minfilty[4],"","minyres4",0,0,0,CFG_INT},
   {&minfilty[5],"","minyres5",0,0,0,CFG_INT},
   {&minfilty[6],"","minyres6",0,0,0,CFG_INT},
   {&minfilty[7],"","minyres7",0,0,0,CFG_INT},

   {&maxfilty[0],"Maximum y resolution","maxyres0",1280,0,0,CFG_INT},
   {&maxfilty[1],"","maxyres1",1280,0,0,CFG_INT},
   {&maxfilty[2],"","maxyres2",1280,0,0,CFG_INT},
   {&maxfilty[3],"","maxyres3",1280,0,0,CFG_INT},
   {&maxfilty[4],"","maxyres4",1280,0,0,CFG_INT},
   {&maxfilty[5],"","maxyres5",1280,0,0,CFG_INT},
   {&maxfilty[6],"","maxyres6",1280,0,0,CFG_INT},
   {&maxfilty[7],"","maxyres7",1280,0,0,CFG_INT},

   {&filtjoy2way[0],"2 way joystick","joy2way0",1,0,1,CFG_INT},
   {&filtjoy2way[1],"","joy2way1",1,0,1,CFG_INT},
   {&filtjoy2way[2],"","joy2way2",1,0,1,CFG_INT},
   {&filtjoy2way[3],"","joy2way3",1,0,1,CFG_INT},
   {&filtjoy2way[4],"","joy2way4",1,0,1,CFG_INT},
   {&filtjoy2way[5],"","joy2way5",1,0,1,CFG_INT},
   {&filtjoy2way[6],"","joy2way6",1,0,1,CFG_INT},
   {&filtjoy2way[7],"","joy2way7",1,0,1,CFG_INT},

   {&filtjoy4way[0],"4 way joystick","joy4way0",1,0,1,CFG_INT},
   {&filtjoy4way[1],"","joy4way1",1,0,1,CFG_INT},
   {&filtjoy4way[2],"","joy4way2",1,0,1,CFG_INT},
   {&filtjoy4way[3],"","joy4way3",1,0,1,CFG_INT},
   {&filtjoy4way[4],"","joy4way4",1,0,1,CFG_INT},
   {&filtjoy4way[5],"","joy4way5",1,0,1,CFG_INT},
   {&filtjoy4way[6],"","joy4way6",1,0,1,CFG_INT},
   {&filtjoy4way[7],"","joy4way7",1,0,1,CFG_INT},

   {&filtjoy8way[0],"8 way joystick","joy8way0",1,0,1,CFG_INT},
   {&filtjoy8way[1],"","joy8way1",1,0,1,CFG_INT},
   {&filtjoy8way[2],"","joy8way2",1,0,1,CFG_INT},
   {&filtjoy8way[3],"","joy8way3",1,0,1,CFG_INT},
   {&filtjoy8way[4],"","joy8way4",1,0,1,CFG_INT},
   {&filtjoy8way[5],"","joy8way5",1,0,1,CFG_INT},
   {&filtjoy8way[6],"","joy8way6",1,0,1,CFG_INT},
   {&filtjoy8way[7],"","joy8way7",1,0,1,CFG_INT},

   {&filtdoublejoy2way[0],"double 2 way joystick","dbljoy2way0",1,0,1,CFG_INT},
   {&filtdoublejoy2way[1],"","dbljoy2way1",1,0,1,CFG_INT},
   {&filtdoublejoy2way[2],"","dbljoy2way2",1,0,1,CFG_INT},
   {&filtdoublejoy2way[3],"","dbljoy2way3",1,0,1,CFG_INT},
   {&filtdoublejoy2way[4],"","dbljoy2way4",1,0,1,CFG_INT},
   {&filtdoublejoy2way[5],"","dbljoy2way5",1,0,1,CFG_INT},
   {&filtdoublejoy2way[6],"","dbljoy2way6",1,0,1,CFG_INT},
   {&filtdoublejoy2way[7],"","dbljoy2way7",1,0,1,CFG_INT},

   {&filtdoublejoy4way[0],"double 4 way joystick","dbljoy4way0",1,0,1,CFG_INT},
   {&filtdoublejoy4way[1],"","dbljoy4way1",1,0,1,CFG_INT},
   {&filtdoublejoy4way[2],"","dbljoy4way2",1,0,1,CFG_INT},
   {&filtdoublejoy4way[3],"","dbljoy4way3",1,0,1,CFG_INT},
   {&filtdoublejoy4way[4],"","dbljoy4way4",1,0,1,CFG_INT},
   {&filtdoublejoy4way[5],"","dbljoy4way5",1,0,1,CFG_INT},
   {&filtdoublejoy4way[6],"","dbljoy4way6",1,0,1,CFG_INT},
   {&filtdoublejoy4way[7],"","dbljoy4way7",1,0,1,CFG_INT},

   {&filtdoublejoy8way[0],"double 8 way joystick","dbljoy8way0",1,0,1,CFG_INT},
   {&filtdoublejoy8way[1],"","dbljoy8way1",1,0,1,CFG_INT},
   {&filtdoublejoy8way[2],"","dbljoy8way2",1,0,1,CFG_INT},
   {&filtdoublejoy8way[3],"","dbljoy8way3",1,0,1,CFG_INT},
   {&filtdoublejoy8way[4],"","dbljoy8way4",1,0,1,CFG_INT},
   {&filtdoublejoy8way[5],"","dbljoy8way5",1,0,1,CFG_INT},
   {&filtdoublejoy8way[6],"","dbljoy8way6",1,0,1,CFG_INT},
   {&filtdoublejoy8way[7],"","dbljoy8way7",1,0,1,CFG_INT},

   {&filtpaddle[0],"paddle","paddle0",1,0,1,CFG_INT},
   {&filtpaddle[1],"","paddle1",1,0,1,CFG_INT},
   {&filtpaddle[2],"","paddle2",1,0,1,CFG_INT},
   {&filtpaddle[3],"","paddle3",1,0,1,CFG_INT},
   {&filtpaddle[4],"","paddle4",1,0,1,CFG_INT},
   {&filtpaddle[5],"","paddle5",1,0,1,CFG_INT},
   {&filtpaddle[6],"","paddle6",1,0,1,CFG_INT},
   {&filtpaddle[7],"","paddle7",1,0,1,CFG_INT},

   {&filtdial[0],"dial","dial0",1,0,1,CFG_INT},
   {&filtdial[1],"","dial1",1,0,1,CFG_INT},
   {&filtdial[2],"","dial2",1,0,1,CFG_INT},
   {&filtdial[3],"","dial3",1,0,1,CFG_INT},
   {&filtdial[4],"","dial4",1,0,1,CFG_INT},
   {&filtdial[5],"","dial5",1,0,1,CFG_INT},
   {&filtdial[6],"","dial6",1,0,1,CFG_INT},
   {&filtdial[7],"","dial7",1,0,1,CFG_INT},

   {&filttrackball[0],"trackball","trackball0",1,0,1,CFG_INT},
   {&filttrackball[1],"","trackball1",1,0,1,CFG_INT},
   {&filttrackball[2],"","trackball2",1,0,1,CFG_INT},
   {&filttrackball[3],"","trackball3",1,0,1,CFG_INT},
   {&filttrackball[4],"","trackball4",1,0,1,CFG_INT},
   {&filttrackball[5],"","trackball5",1,0,1,CFG_INT},
   {&filttrackball[6],"","trackball6",1,0,1,CFG_INT},
   {&filttrackball[7],"","trackball7",1,0,1,CFG_INT},

   {&filtstick[0],"stick","stick0",1,0,1,CFG_INT},
   {&filtstick[1],"","stick1",1,0,1,CFG_INT},
   {&filtstick[2],"","stick2",1,0,1,CFG_INT},
   {&filtstick[3],"","stick3",1,0,1,CFG_INT},
   {&filtstick[4],"","stick4",1,0,1,CFG_INT},
   {&filtstick[5],"","stick5",1,0,1,CFG_INT},
   {&filtstick[6],"","stick6",1,0,1,CFG_INT},
   {&filtstick[7],"","stick7",1,0,1,CFG_INT},


   {&minfiltbuttons[0],"Minimum number of buttons","minbuttons0",0,0,0,CFG_INT},
   {&minfiltbuttons[1],"","minbuttons1",0,0,0,CFG_INT},
   {&minfiltbuttons[2],"","minbuttons2",0,0,0,CFG_INT},
   {&minfiltbuttons[3],"","minbuttons3",0,0,0,CFG_INT},
   {&minfiltbuttons[4],"","minbuttons4",0,0,0,CFG_INT},
   {&minfiltbuttons[5],"","minbuttons5",0,0,0,CFG_INT},
   {&minfiltbuttons[6],"","minbuttons6",0,0,0,CFG_INT},
   {&minfiltbuttons[7],"","minbuttons7",0,0,0,CFG_INT},

   {&maxfiltbuttons[0],"Minimum number of buttons","maxbuttons0",8,0,0,CFG_INT},
   {&maxfiltbuttons[1],"","maxbuttons1",8,0,0,CFG_INT},
   {&maxfiltbuttons[2],"","maxbuttons2",8,0,0,CFG_INT},
   {&maxfiltbuttons[3],"","maxbuttons3",8,0,0,CFG_INT},
   {&maxfiltbuttons[4],"","maxbuttons4",8,0,0,CFG_INT},
   {&maxfiltbuttons[5],"","maxbuttons5",8,0,0,CFG_INT},
   {&maxfiltbuttons[6],"","maxbuttons6",8,0,0,CFG_INT},
   {&maxfiltbuttons[7],"","maxbuttons7",8,0,0,CFG_INT},

/* LasVegas - Removed Color Depth Filter
   {&minfiltdepth[0],"Minimum colour depth","mindepth0",0,0,0,CFG_INT},
   {&minfiltdepth[1],"","mindepth1",0,0,0,CFG_INT},
   {&minfiltdepth[2],"","mindepth2",0,0,0,CFG_INT},
   {&minfiltdepth[3],"","mindepth3",0,0,0,CFG_INT},
   {&minfiltdepth[4],"","mindepth4",0,0,0,CFG_INT},
   {&minfiltdepth[5],"","mindepth5",0,0,0,CFG_INT},
   {&minfiltdepth[6],"","mindepth6",0,0,0,CFG_INT},
   {&minfiltdepth[7],"","mindepth7",0,0,0,CFG_INT},

   {&maxfiltdepth[0],"Maximum colour depth","maxdepth0",24,0,0,CFG_INT},
   {&maxfiltdepth[1],"","maxdepth1",24,0,0,CFG_INT},
   {&maxfiltdepth[2],"","maxdepth2",24,0,0,CFG_INT},
   {&maxfiltdepth[3],"","maxdepth3",24,0,0,CFG_INT},
   {&maxfiltdepth[4],"","maxdepth4",24,0,0,CFG_INT},
   {&maxfiltdepth[5],"","maxdepth5",24,0,0,CFG_INT},
   {&maxfiltdepth[6],"","maxdepth6",24,0,0,CFG_INT},
   {&maxfiltdepth[7],"","maxdepth7",24,0,0,CFG_INT},
*/
   {&filthorz[0],"horizontal games","horizontal0",1,0,1,CFG_INT},
   {&filthorz[1],"","horizontal1",1,0,1,CFG_INT},
   {&filthorz[2],"","horizontal2",1,0,1,CFG_INT},
   {&filthorz[3],"","horizontal3",1,0,1,CFG_INT},
   {&filthorz[4],"","horizontal4",1,0,1,CFG_INT},
   {&filthorz[5],"","horizontal5",1,0,1,CFG_INT},
   {&filthorz[6],"","horizontal6",1,0,1,CFG_INT},
   {&filthorz[7],"","horizontal7",1,0,1,CFG_INT},

   {&filtvert[0],"vertical games","vertical0",1,0,1,CFG_INT},
   {&filtvert[1],"","vertical1",1,0,1,CFG_INT},
   {&filtvert[2],"","vertical2",1,0,1,CFG_INT},
   {&filtvert[3],"","vertical3",1,0,1,CFG_INT},
   {&filtvert[4],"","vertical4",1,0,1,CFG_INT},
   {&filtvert[5],"","vertical5",1,0,1,CFG_INT},
   {&filtvert[6],"","vertical6",1,0,1,CFG_INT},
   {&filtvert[7],"","vertical7",1,0,1,CFG_INT},

   {&filtvector[0],"vector games","vector0",1,0,1,CFG_INT},
   {&filtvector[1],"","vector1",1,0,1,CFG_INT},
   {&filtvector[2],"","vector2",1,0,1,CFG_INT},
   {&filtvector[3],"","vector3",1,0,1,CFG_INT},
   {&filtvector[4],"","vector4",1,0,1,CFG_INT},
   {&filtvector[5],"","vector5",1,0,1,CFG_INT},
   {&filtvector[6],"","vector6",1,0,1,CFG_INT},
   {&filtvector[7],"","vector7",1,0,1,CFG_INT},

   {&filtraster[0],"raster games","raster0",1,0,1,CFG_INT},
   {&filtraster[1],"","raster1",1,0,1,CFG_INT},
   {&filtraster[2],"","raster2",1,0,1,CFG_INT},
   {&filtraster[3],"","raster3",1,0,1,CFG_INT},
   {&filtraster[4],"","raster4",1,0,1,CFG_INT},
   {&filtraster[5],"","raster5",1,0,1,CFG_INT},
   {&filtraster[6],"","raster6",1,0,1,CFG_INT},
   {&filtraster[7],"","raster7",1,0,1,CFG_INT},

 // LasVegas - Add ROM folder filter option

   {&filtrom[0],"ROM folder","romfolder0",0,0,0,CFG_INT},
   {&filtrom[1],"","romfolder1",0,0,0,CFG_INT},
   {&filtrom[2],"","romfolder2",0,0,0,CFG_INT},
   {&filtrom[3],"","romfolder3",0,0,0,CFG_INT},
   {&filtrom[4],"","romfolder4",0,0,0,CFG_INT},
   {&filtrom[5],"","romfolder5",0,0,0,CFG_INT},
   {&filtrom[6],"","romfolder6",0,0,0,CFG_INT},
   {&filtrom[7],"","romfolder7",0,0,0,CFG_INT},

   {&noMergedROMs[0],"displayed merged rom sets","mergedroms",1,0,1,CFG_INT},
   {&noMergedROMs[1],"","mergedroms2",1,0,0,CFG_INT},
   {&noMergedROMs[2],"","mergedroms3",1,0,0,CFG_INT},
   {&noMergedROMs[3],"","mergedroms4",1,0,0,CFG_INT},
   {&noMergedROMs[4],"","mergedroms5",1,0,0,CFG_INT},
   {&noMergedROMs[5],"","mergedroms6",1,0,0,CFG_INT},
   {&noMergedROMs[6],"","mergedroms7",1,0,0,CFG_INT},
   {&noMergedROMs[7],"","mergedroms8",1,0,0,CFG_INT},
   {&noMergedROMs[8],"","mergedroms9",1,0,0,CFG_INT},
   {&noMergedROMs[9],"","mergedroms10",1,0,0,CFG_INT},
   {&noMergedROMs[10],"","mergedroms11",1,0,0,CFG_INT},
   {&noMergedROMs[11],"","mergedroms12",1,0,0,CFG_INT},
   {&noMergedROMs[12],"","mergedroms13",1,0,0,CFG_INT},
   {&noMergedROMs[13],"","mergedroms14",1,0,0,CFG_INT},
   {&noMergedROMs[14],"","mergedroms15",1,0,0,CFG_INT},
   {&noMergedROMs[15],"","mergedroms16",1,0,0,CFG_INT},
   {&noMergedROMs[16],"","mergedroms17",1,0,0,CFG_INT},
   {&noMergedROMs[17],"","mergedroms18",1,0,0,CFG_INT},
   {&noMergedROMs[18],"","mergedroms19",1,0,0,CFG_INT},
   {&noMergedROMs[19],"","mergedroms20",1,0,0,CFG_INT},
   {&noMergedROMs[20],"","mergedroms21",1,0,0,CFG_INT},
   {&noMergedROMs[21],"","mergedroms22",1,0,0,CFG_INT},
   {&noMergedROMs[22],"","mergedroms23",1,0,0,CFG_INT},
   {&noMergedROMs[23],"","mergedroms24",1,0,0,CFG_INT},
   {&noMergedROMs[24],"","mergedroms25",1,0,0,CFG_INT},
   {&noMergedROMs[25],"","mergedroms26",1,0,0,CFG_INT},
   {&noMergedROMs[26],"","mergedroms27",1,0,0,CFG_INT},
   {&noMergedROMs[27],"","mergedroms28",1,0,0,CFG_INT},
   {&noMergedROMs[28],"","mergedroms29",1,0,0,CFG_INT},
   {&noMergedROMs[29],"","mergedroms30",1,0,0,CFG_INT},

// DANNY REGO
   {&bLCDScreen,"LCD Screen Support (0=NO 1=YES)","lcdscreen",0,0,0,CFG_INT},
   {&nLCDPort,"LCD Screen COM Port (1-4) or LPT Port (5=LPT1, 6=LPT2)","lcdport",1,0,0,CFG_INT},
   {&nLCDMode,"LCD Serial Baud Rate (50,300,600,2400,4800,9600,19200,38400,57600,115200)\n"
				"#or Parallel (Lines X 100) + Columns IE: 2x20 = (2 X 100) + 20 = 220\n"
				"#             columns=64 for no autoformating desired.\n"
				"#             lcdmode=0  if not using 44780 based LCD"
,"lcdmode",9600,0,0,CFG_INT},

   {0,"","",0,0,0,0}

};

#endif
